Package org.eclipse.ecf.provider.remoteservice.generic

# Class Response

java.lang.Object
org.eclipse.ecf.provider.remoteservice.generic.Response

All Implemented Interfaces:
  `Serializable`

public class Response extends Object implements Serializable

See Also:
  - Serialized Form

## Constructor Summary

Constructors
Constructor
Description
`Response(long requestId, Object response)`
`Response(long requestId, Throwable exception)`

## Method Summary

Modifier and Type
Method
Description
`Throwable`
`getException()`
`long`
`getRequestId()`
`Object`
`getResponse()`
`boolean`
`hadException()`
`String`
`toString()`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

## Constructor Details

### Response

public Response(long requestId, Object response)

### Response

public Response(long requestId, Throwable exception)

## Method Details

### getRequestId

public long getRequestId()

### getResponse

public Object getResponse()

### hadException

public boolean hadException()

### getException

public Throwable getException()

### toString

public String toString()

Overrides:
  `toString` in class `Object`